JRunWebXmlSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.macromedia.jrun.web.JRunWebXmlSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.macromedia.jrun.web
Class JRunWebXmlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.macromedia.jrun.web.JRunWebXmlSubTask

All Implemented Interfaces:
  Serializable

public class JRunWebXmlSubTask
extends XmlSubTask

Generates jrun-web.xml deployment descriptor.

Version:
  $Revision: 1.8 $
Author:
  Dan Schaffer (dschaffer@macromedia.com)
See Also:
  Serialized Form
ant.element
  display-name="JRun" name="jrunwebxml" parent="xdoclet.modules.web.WebDocletTask"
created
  February 7, 2002

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`protected String` | `compile`
`protected String` | `contextRoot` The Security Domain, defaults to "" because it is not included if not set in the build.xml.
`protected String` | `loadSystemClassesFirst`
`protected String` | `reload`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`JRunWebXmlSubTask()` Describe what the JRunWebXmlSubTask constructor does

Method Summary
`String` | `getCompile()` Return the Compile setting.
`String` | `getContextRoot()` Return the Context Root of the web application.
`String` | `getLoadSystemClassesFirst()` Return the Load-System-Classes-First setting.
`String` | `getReload()` Return the Reload setting.
`void` | `setCompile(String compile)` Set the Compile setting to either true or false.
`void` | `setContextRoot(String contextRoot)` Set the Context Root..
`void` | `setLoadSystemClassesFirst(String loadSystemClassesFirst)` Set the LoadSystemClassesFirst setting to either true or false.
`void` | `setReload(String reload)` Set the Reload setting to either true or false.

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, engineStarted, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contextRoot

    protected String contextRoot

  The Security Domain, defaults to "" because it is not included if not set in the build.xml.

### reload

    protected String reload

### compile

    protected String compile

### loadSystemClassesFirst

    protected String loadSystemClassesFirst

Constructor Detail

### JRunWebXmlSubTask

    public JRunWebXmlSubTask()

  Describe what the JRunWebXmlSubTask constructor does

Method Detail

### getContextRoot

    public String getContextRoot()

  Return the Context Root of the web application. This is where the webApp will be installed in the browser (e.g. http://localhost:8100/contextRoot

  Returns:
    The Context Root

### getReload

    public String getReload()

  Return the Reload setting. Determines whether to automatically reload servlets, helper classes, jsp helper classes.

  Returns:
    reload setting either true or false

### getCompile

    public String getCompile()

  Return the Compile setting. Determines whether to automatically compile servlets

  Returns:
    compile setting either true or false

### getLoadSystemClassesFirst

    public String getLoadSystemClassesFirst()

  Return the Load-System-Classes-First setting. Determines whether to load system classpath first or app server classpath.

  Returns:
    loadSystemClassesFirst setting

### setContextRoot

    public void setContextRoot(String contextRoot)

  Set the Context Root..

  Parameters:
    `contextRoot` - the new context root

### setReload

    public void setReload(String reload)

  Set the Reload setting to either true or false.

  Parameters:
    `reload` - new reload value

### setCompile

    public void setCompile(String compile)

  Set the Compile setting to either true or false.

  Parameters:
    `compile` - new compile value

### setLoadSystemClassesFirst

    public void setLoadSystemClassesFirst(String loadSystemClassesFirst)

  Set the LoadSystemClassesFirst setting to either true or false.

  Parameters:
    `loadSystemClassesFirst` - new setting

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD